RRENUMD(8)

NAME
rrenumd - router renumbering daemon

SYNOPSIS
rrenumd [-df] [ -c conf_file | -s]

DESCRIPTION
rrenumd transmits router renumbering request packets, to renumber the routers in the site network.

On KAME-based systems, router renumbering requests are received and processed by rtadvd(8). For other systems, refer to relevant documents.

The program will daemonize itself on invocation. It reads configuration information from standard input if -s is specified, or from conf_file if -c conf_file is specified.

The contents of configuration information are described in rrenumd.conf(5).

After successful configuration, rrenumd sends router renumbering messages periodically to configured destinations. Messages contain prefixes configured to be renumbered.

-d  Debug mode.

-f  Foreground mode. Do not become daemon.

-s  Script mode. Configuration information is obtained from standard input.

-c conf_file
    Specify a configuration file where configuration information is kept.

RETURN VALUES
The program exits with 0 on success, and non-zero on failures.

SEE ALSO
rrenumd.conf(5), rtadvd(8)

STANDARDS
Matt Crawford, RFC, 2894, August 2000, Router Renumbering for IPv6.

HISTORY
The rrenumd command first appeared in KAME IPv6 protocol stack kit.